/*
 * Copyright(c)  2000  Rijkswaterstaat
 *                     Adviesdienst Verkeer en Vervoer
 * File: CRAPCOD.C
 *
 * Nummer kruispunt:        1
 * Regelprogramma vri:      Voorbeeld D: Wachtrijmeetpunt
 * datum:                   04-05-2000
 * gewijzigd:
 * versie:                  1
 */


#include "crtypes.h"
#include "crapcod.h"
#include "craptab.h"
#include "ccie_int.h"
#include "crapdef.h"


/* ================================================================
 * overige voorwaarden
 * ================================================================
 */

void init_bij_inschakelen(void)
{
}


void voorwaarden_per_seconde(void)
{
}


void overige_voorwaarden(void)
{

/*********************  Wachtrijmeting *********************** */
/*  starten tijden  */
  if (!D(SG02_3) || !R(SG02))         herstart_TIJD(T_bezet_D02_3);
  if (!D(SG02_4) || !R(SG02))         herstart_TIJD(T_bezet_D02_4);


  /*  setten hulpfunctie wachtrij  */

  if ( ( !TIJD(T_bezet_D02_3) || !TIJD(T_bezet_D02_4) ) &&
         SCH(SCH_wachtrij)
         )
           set_HF(HF_wachtrij);

/* als een lus tijdens rood langer bezet is dan de tijd T_bezet_D02_i,
   wordt er van uit gegaan dat de wachtrij het meetpunt op die
   rijstrook heeft bereikt.
*/

  if (G(SG02)) reset_HF(HF_wachtrij);

/* de wachtrijmelding wordt uitgezet, tijdens groen van de signaalgroep */

}

/* ************** einde wachtrijmeting *********************** */

